Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004076 [JEDI VCL] 00 JVCL Components feature always 2007-03-05 20:00 2007-06-24 06:46
Reporter Kiriakos View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.30
Summary 0004076: Cool Extension to JvDocking (alpha blended form dragging)
Description With JvDocking when you drag a dock form a rectangular is painted directly on the Desktop using PatBlt (same as Delphi docking). This is highly problematic with Windows Vista when using the Aero theme (very slow even with a good graphics card). In Vista, you are strongly discouraged to write directly to the desktop. If you have noticed BDS uses instead an alpha blended rectangular form which works fine with Windows Vista and looks much better.

The attached modified JvDocking files implement such a feature in JvDocking. All modifications to the files (quite minimal) are inside
{IFDEF DELPHI6_UP}
{ENDIF DELPHI6_UP}
so they are very easy to see. I could provide diff files if needed.

Also the modifications resolve a bug in JvDocking according to which the dragged form impage is not painted correctly when dragged over a TabControl with the TabPosision set to tpTop.

To test the extensions:
- Copy the files to the jvcl\run directory
- Play with the AdvancePro JvDocking demo

Additional Information Could someone please have a look and commit the other submitted patches to JvDocking in reports 3958, 4020, 3998 and 3989? These patches resolve long outstanding issues with JvDocking.
Tags No tags attached.
Attached Files zip file icon JvDocking.zip [^] (71,659 bytes) 2007-03-05 20:00
zip file icon JvDockingPatches.zip [^] (2,981 bytes) 2007-06-23 16:20

- Relationships

-  Notes
(0013461)
obones (administrator)
2007-06-19 08:31

Please provide patch files, it makes integration MUCH easier especially when other changes have been made in between. Use TortoiseSVN to create the patch files as it makes merging much easier for us. Thanks.
(0013522)
Kiriakos (reporter)
2007-06-23 16:21

Patches uploaded as requested.
(0013532)
AHUser (developer)
2007-06-24 06:46

The alpha blending is now in the SVN

- Issue History
Date Modified Username Field Change
2007-03-05 20:00 Kiriakos New Issue
2007-03-05 20:00 Kiriakos File Added: JvDocking.zip
2007-06-19 08:31 obones Note Added: 0013461
2007-06-19 08:31 obones Status new => feedback
2007-06-23 16:20 Kiriakos File Added: JvDockingPatches.zip
2007-06-23 16:21 Kiriakos Note Added: 0013522
2007-06-24 06:46 AHUser Status feedback => resolved
2007-06-24 06:46 AHUser Fixed in Version => Daily / SVN
2007-06-24 06:46 AHUser Resolution open => fixed
2007-06-24 06:46 AHUser Assigned To => AHUser
2007-06-24 06:46 AHUser Note Added: 0013532


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker